PluginContext
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.tools.searchtester.plugin
Class PluginContext

    java.lang.Object
      ExecutorPluginContext
          org.gcube.tools.searchtester.plugin.PluginContext

    public class PluginContext

extends ExecutorPluginContext

The `ExecutorPluginContext` of a test task.

Field Summary
`static java.util.HashMap<java.lang.String,java.util.ArrayList<CollectionInfo>>` | `collectionsMap`
`static java.lang.String` | `HTPPAPIURL`
`static long` | `schedulingInterval`
`static java.util.ArrayList<java.lang.String>` | `testableVREs`
`static java.util.ArrayList<java.lang.Class<? extends BaseTest>>` | `tests`
`static java.util.ArrayList<java.lang.String>` | `vres`

Constructor Summary
`PluginContext()`

Method Summary
`static void` | `cleanInput()`
`static java.util.HashMap<java.lang.String,java.util.ArrayList<CollectionInfo>>` | `getCollectionsMap()`
`java.lang.Class<? extends ExecutorTask>` | `getTaskClass()`
`static java.util.ArrayList<java.lang.String>` | `getTestableVREs()`
`static java.util.ArrayList<java.lang.Class<? extends BaseTest>>` | `getTests()`
`static java.util.ArrayList<java.lang.String>` | `getVres()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tests

    public static java.util.ArrayList<java.lang.Class<? extends BaseTest>> tests

### vres

    public static java.util.ArrayList<java.lang.String> vres

### collectionsMap

    public static java.util.HashMap<java.lang.String,java.util.ArrayList<CollectionInfo>> collectionsMap

### HTPPAPIURL

    public static java.lang.String HTPPAPIURL

### schedulingInterval

    public static long schedulingInterval

### testableVREs

    public static java.util.ArrayList<java.lang.String> testableVREs

Constructor Detail

### PluginContext

    public PluginContext()

Method Detail

### getVres

    public static java.util.ArrayList<java.lang.String> getVres()

### getCollectionsMap

    public static java.util.HashMap<java.lang.String,java.util.ArrayList<CollectionInfo>> getCollectionsMap()

### getTestableVREs

    public static java.util.ArrayList<java.lang.String> getTestableVREs()

### getTests

    public static java.util.ArrayList<java.lang.Class<? extends BaseTest>> getTests()

### getTaskClass

    public java.lang.Class<? extends ExecutorTask> getTaskClass()

### cleanInput

    public static void cleanInput()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD